This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478812 - Undercloud neutron openvswitch-agent cannot start: CRITICAL neutron [-] Unhandled error: ImportError: cannot import name ofctl_string
Undercloud neutron openvswitch-agent cannot start: CRITICAL neutron [-] Unhan...
Status: ON_QA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
urgent Severity urgent
: beta
: 12.0 (Pike)
Assigned To: Assaf Muller
Toni Freger
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 03:28 EDT by Marius Cornea
Modified: 2017-09-21 05:42 EDT (History)
10 users (show)

See Also:
Fixed In Version: openstack-neutron-11.0.0-0.20170804190459.el7ost python-ryu-4.15-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
RDO 8284 None None None 2017-08-07 14:25 EDT

  None (edit)
Description Marius Cornea 2017-08-07 03:28:32 EDT
Description of problem:
OSP11 -> OSP12 upgrade: undercloud neutron openvswitch-agent cannot start post upgrade. /var/log/neutron/openvswitch-agent.log shows the following error:

CRITICAL neutron [-] Unhandled error: ImportError: cannot import name ofctl_string
ERROR neutron Traceback (most recent call last):
ERROR neutron   File "/usr/bin/neutron-openvswitch-agent", line 10, in <module>
ERROR neutron     sys.exit(main())
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/cmd/eventlet/plugins/ovs_neutron_agent.py", line 20, in main
ERROR neutron     agent_main.main()
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/main.py", line 51, in main
ERROR neutron     mod.main()
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/openflow/native/main.py", line 35, in main
ERROR neutron     'neutron.plugins.ml2.drivers.openvswitch.agent.'
ERROR neutron   File "/usr/lib/python2.7/site-packages/ryu/base/app_manager.py", line 363, in run_apps
ERROR neutron     app_mgr.load_apps(app_lists)
ERROR neutron   File "/usr/lib/python2.7/site-packages/ryu/base/app_manager.py", line 415, in load_apps
ERROR neutron     cls = self.load_app(app_cls_name)
ERROR neutron   File "/usr/lib/python2.7/site-packages/ryu/base/app_manager.py", line 392, in load_app
ERROR neutron     mod = utils.import_module(name)
ERROR neutron   File "/usr/lib/python2.7/site-packages/ryu/utils.py", line 100, in import_module
ERROR neutron     mod = importlib.import_module(name)
ERROR neutron   File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
ERROR neutron     __import__(name)
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/openflow/native/ovs_ryuapp.py", line 27, in <module>
ERROR neutron     from neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native \
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/openflow/native/br_int.py", line 32, in <module>
ERROR neutron     from neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native \
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/openflow/native/ovs_bridge.py", line 26, in <module>
ERROR neutron     from neutron.plugins.ml2.drivers.openvswitch.agent.openflow.native \
ERROR neutron   File "/usr/lib/python2.7/site-packages/neutron/plugins/ml2/drivers/openvswitch/agent/openflow/native/ofswitch.py", line 25, in <module>
ERROR neutron     from ryu.lib import ofctl_string
ERROR neutron ImportError: cannot import name ofctl_string
ERROR neutron 


Version-Release number of selected component (if applicable):
openstack-neutron-11.0.0-0.20170803053612.f17fdf1.el7ost.noarch
python-neutron-lib-1.9.1-0.20170731102145.0ef54c3.el7ost.noarch
python-neutron-11.0.0-0.20170803053612.f17fdf1.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170803053612.f17fdf1.el7ost.noarch
python-neutronclient-6.5.0-0.20170731145127.355983d.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170803053612.f17fdf1.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170803053612.f17fdf1.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy OSP11
2. Upgrade to OSP12
3. Reboot undercloud
4. Check neutron agent-list on undercloud

Actual results:
+--------------------------------------+--------------------+---------------------------+-------------------+-------+----------------+---------------------------+
| id                                   | agent_type         | host                      | availability_zone | alive | admin_state_up | binary                    |
+--------------------------------------+--------------------+---------------------------+-------------------+-------+----------------+---------------------------+
| 2620dd6d-c48f-4b9e-8ab8-f6db5972d4f6 | Open vSwitch agent | undercloud-0.redhat.local |                   | xxx   | True           | neutron-openvswitch-agent |
| f71edba8-f8c3-49e9-b308-54bbe73fb2e7 | DHCP agent         | undercloud-0.redhat.local | nova              | :-)   | True           | neutron-dhcp-agent        |
+--------------------------------------+--------------------+---------------------------+-------------------+-------+----------------+---------------------------+

Expected results:
The neutron openvswitch agent service is able to start

Additional info:
Attaching openvswitch-agent.log
Comment 2 Marius Cornea 2017-08-07 09:39:37 EDT
The same issue shows up on clean deployments so I believe this is not an issue specific to upgrades.
Comment 3 Assaf Muller 2017-08-07 14:37:50 EDT
Fix merged in RDO master.
Comment 4 Jon Schlueter 2017-08-07 14:38:44 EDT
python-ryu-4.15-1.el7ost and openstack-neutron-11.0.0-0.20170804190459.el7ost built

Note You need to log in before you can comment on or make changes to this bug.